Linux version fails

Discuss Papagayo issues here

Moderators: Fahim, Distinct Sun, Víctor Paredes, erey, Belgarath, slowtiger

Linux version fails

Postby thrashnode » Fri Mar 11, 2011 1:38 pm

Hi, when I try opening audio with the Linux version of Papagayo it doesn't do anything, no errors - just nothing.

I've tried opening the sample audio files, and when I open the sample .pgo file it opens up everything except the audio.

No errors when this happens, although the following warnings appear when I run Papagayo:

[me@mine papagayo]$ ./papagayo.py
/var/work/system/papagayo/lm.py:5: RuntimeWarning: Python C API version mismatch for module _lm: This Python has API version 1013, module _lm has version 1012.
import _lm
/var/work/system/papagayo/lm.py:5: RuntimeWarning: Python C API version mismatch for module swig_runtime_data1: This Python has API version 1013, module swig_runtime_data1 has version 1012.
import _lm

(/var/work/system/papagayo being the current directory)

I'm running a Fedora 14 system with Python 2.7.

Any ideas?

Cheers,
Thrashnode
thrashnode
 
Posts: 1
Joined: Fri Mar 11, 2011 1:26 pm

Try the windows version

Postby rabi_mx » Tue Apr 26, 2011 5:33 am

I suggest you that download and install from http://nyian.blogspot.com/2007/04/papagayomod-1353.html the windows binary. I t works fine under wine.
rabi_mx
 
Posts: 1
Joined: Tue Apr 26, 2011 5:25 am

Postby LarryinAz » Wed May 18, 2011 4:21 am

I have the same problem, here's what happened -


I'm using Ubuntu 10.10, I downloaded the zipfile and extracted it into my home directory.

Opening a terminal and typing ./papagayo to run the script gave me the 'no module named wx found' error.

I went to the Synaptic Package Manager and installed the 'python-wxgtk2.8' package.

Trying to run it again I got 'ImportError: libstdc++.so.5: cannot open shared object file: No such file or directory'

I went back to the Synaptic Package Manager and installed the 'libstdc++5' package. (Libstdc++6 was already installed).

Went back to the terminal, typed in ./papagayo and it started. Yay!

I open 'vista.pgo' and the words appear on the screen but the sound wave does not. Attempting to open any .wav file results in nothing happening at all. I tried loading the vista.wav file into audacity and saving it out again with a different name but it still wouldn't load. Tried other file formats, Papagayo could see .aiff and MP3 files but couldn't open them either.

I go back to check the terminal and I see this (papagayo is still running) -

/home/larry/papagayo/lm.py:5: RuntimeWarning: Python C API version mismatch for module _lm: This Python has API version 1013, module _lm has version 1012.
import _lm
/home/larry/papagayo/lm.py:5: RuntimeWarning: Python C API version mismatch for module swig_runtime_data1: This Python has API version 1013, module swig_runtime_data1 has version 1012.
import _lm

It could be possible that libstdc++6 is over-riding something in libstdc++5 which would prevent the .wav file from loading. I'm just speculating here of course, I'm not all that familiar with the inner workings of a Linux system. Maybe someone here knows?
LarryinAz
 
Posts: 2
Joined: Wed May 18, 2011 4:14 am

Postby LarryinAz » Thu May 19, 2011 12:24 am

Read the other thread about sample rates so I resampled vista.wav at 44100 16-bit and saved a copy as vista2.wav. When I check the properties of vista2.wav I get this -

Codec: Uncompressed 16-bit PCM audio
Channels: Mono
Sample rate: 44100 Hz
Bitrate: N/A

I placed vista2.wav in the same directory papagayo is in. Papagayo still couldn't open it. If I type the file name I get a message saying 'Please select an existing file' even though I can see the file is right there.

I'm starting to think this program simply can't see or load a .wav file unless you're running an older version of Linux that uses Python API 1012.
LarryinAz
 
Posts: 2
Joined: Wed May 18, 2011 4:14 am

Re: Linux version fails

Postby RickBrock » Fri Jun 14, 2013 11:50 pm

hi,
i have exactly the same issues. I also went back to the Synaptic Package Manager and installed the 'libstdc++5' package. (Libstdc++6 was already installed).

the only thing i can not find in synaptic is wxpython (but i do have python-wxversion installed) and i can not locate glibc (but i have libc6 ...?)

anyway.... same issue, won't load any wav files and gives no errors.

i tried the windows version in WINE... works fine. but that's not the linux version.... so it bugs me.

one other point... when you export and excell fill from the windows version it calls the file a .XSL file instead of an .XLS so you have to change that before you can open it and turn it into a .lst file for Synfig.

anyone any ideas?

Thanks for the software.

Rick
RickBrock
 
Posts: 2
Joined: Thu Jun 13, 2013 11:31 pm

Re: Linux version fails

Postby RickBrock » Sat Jun 15, 2013 1:44 am

install pyaudio

problem solved
RickBrock
 
Posts: 2
Joined: Thu Jun 13, 2013 11:31 pm


Return to Papagayo

Who is online

Users browsing this forum: No registered users and 1 guest